Summary: 	Convert transparent GIFs into non-transparent GIFs
Name: 		giftrans
Version: 	1.12.2
Release: 	%mkrel 31
License: 	BSD
Group: 		Graphics/Editors and Converters
URL:		ftp://ftp.rz.uni-karlsruhe.de/pub/net/www/tools/
Source0: 	%name-%version.tar.bz2
Patch0:		giftrans-1.12.2-operator.patch
Patch1:		giftrans-1.12.2-cleanup.patch
Patch2:		giftrans-1.12.2-warnings.patch
Requires: rgb

%description
Giftrans will convert an existing GIF87 file to GIF89 format. In other
words, Giftrans can make one color in a .gif image (normally the
background) transparent.

Install the giftrans package if you need a quick, small, one-purpose
graphics program to make transparent .gifs out of existing .gifs.

%prep
%setup -q
%autopatch -p1

%build
gcc -Dvoidd=void -Wall $RPM_OPT_FLAGS -DRGBTXT=\"%_datadir/X11/rgb.txt\" -o giftrans giftrans.c

%install
install -m755 %{name} -D $RPM_BUILD_ROOT%_bindir/%{name}
install -m644 %{name}.1 -D $RPM_BUILD_ROOT%_mandir/man1/%{name}.1

%files
%_bindir/%name
%_mandir/man1/%{name}.1*


%changelog
* Thu Feb 11 2016 umeabot <umeabot> 1.12.2-31.mga6
+ Revision: 954063
- Mageia 6 Mass Rebuild

* Thu Sep 17 2015 tv <tv> 1.12.2-30.mga6
+ Revision: 880175
- reenable debuginfo after killig stripping

* Wed Sep 09 2015 neoclust <neoclust> 1.12.2-29.mga6
+ Revision: 874925
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 1.12.2-28.mga5
+ Revision: 745721
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.12.2-27.mga5
+ Revision: 679568
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.12.2-26.mga4
+ Revision: 521725
- Mageia 4 Mass Rebuild

* Thu Jan 24 2013 fwang <fwang> 1.12.2-25.mga3
+ Revision: 391820
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 ahmad <ahmad> 1.12.2-23.mga1
+ Revision: 8866
- imported package giftrans


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 1.12.2-23mdv2011.0
+ Revision: 605456
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.12.2-22mdv2010.1
+ Revision: 522727
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.12.2-21mdv2010.0
+ Revision: 424879
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.12.2-20mdv2009.1
+ Revision: 351206
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.12.2-19mdv2009.0
+ Revision: 221072
- rebuild

* Fri Mar 28 2008 Götz Waschk <waschk@mandriva.org> 1.12.2-18mdv2008.1
+ Revision: 190854
- drop patch 3
- fix path of rgb.txt (bug #35065)

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 1.12.2-17mdv2008.1
+ Revision: 150108
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 20 2007 Adam Williamson <awilliamson@mandriva.org> 1.12.2-16mdv2008.0
+ Revision: 91252
- rebuild for 2008


* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 1.12.2-15mdv2007.0
+ Revision: 114510
- Import giftrans

* Sun Jan 28 2007 Gtz Waschk <waschk@mandriva.org> 1.12.2-15mdv2007.1
- unpack patches

* Thu May 18 2006 Jerome Soyer <saispo@mandriva.org> 1.12.2-15mdk
- Rebuild for new xorg
- Use mkrel

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.12.2-14mdk
- Rebuild

